@echo off
TITLE 暗黑破坏神II 战网文件提取
color 2F

if exist "Game.exe" goto kaobei
if not exist "Game.exe" goto new

:kaobei
md "D2GS"
copy /y d2data.mpq "D2GS"
copy /y d2exp.mpq "D2GS"
copy /y d2sfx.mpq "D2GS"
copy /y d2speech.mpq "D2GS"
copy /y Patch_D2.mpq "D2GS"
copy /y D2Client.dll "D2GS"
copy /y D2CMP.dll "D2GS"
copy /y D2Common.dll "D2GS"
copy /y D2Game.dll "D2GS"
copy /y D2gfx.dll "D2GS"
copy /y D2Lang.dll "D2GS"
copy /y D2MCPClient.dll "D2GS"
copy /y D2Net.dll "D2GS"
copy /y D2sound.dll "D2GS"
copy /y D2Win.dll "D2GS"
copy /y Fog.dll "D2GS"
copy /y ijl11.dll "D2GS"
copy /y Storm.dll "D2GS"
cls
ECHO.
ECHO.
ECHO 暗黑战网所需要的文件以复制完成!
ECHO.
ECHO 请复制D2GS文件夹内的文件覆盖到服务端的D2GS
ECHO.
ECHO.
pause
exit

:new
cls
ECHO.
ECHO.
ECHO.
ECHO 请复制本程序到暗黑破坏神II 的游戏目录在运行
ECHO.
ECHO.
ECHO.
pause
exit